package test;

import java.util.Properties;

import javax.naming.Context;
import javax.naming.InitialContext;

import net.shuixin.Bridge;

import com.vitria.bw.HelloWorld;
import com.vitria.bw.HelloWorldHome;
import com.vitria.bw.NetBank;

public class SimpleClient {

	private static InitialContext ctx;
	public static void main(String[] args) throws Exception {
		Properties props = new Properties();
		props.setProperty(Context.INITIAL_CONTEXT_FACTORY,
				"org.jnp.interfaces.NamingContextFactory");
		props.setProperty(Context.PROVIDER_URL, "localhost:1099");
		props.setProperty(Context.URL_PKG_PREFIXES, "org.jboss.naming");
		
		ctx = new InitialContext(props);
		testBridge();
	}
	private static void testBridge() throws Exception {
		Bridge br = (Bridge) ctx.lookup("BridgeBean/remote");
		br.sayHello("iiop");
	}	
}
